Page 1 of 1

Could not refresh lis of updates [SOLVED]

Posted: Sat Apr 21, 2018 3:57 pm
by chazb
Running LM 17, Quana.
What is this and how do I fix it,,,,,,,,,,,,,Reading package lists... Error!
W: GPG error: https://dl.winehq.org xenial InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 818A435C5FCBF54A
W: Duplicate sources.list entry https://dl.winehq.org/wine-builds/ubuntu/ xenial/main i386 Packages (/var/lib/apt/lists/dl.winehq.org_wine-builds_ubuntu_dists_xenial_main_binary-i386_Packages)
E: Read error - read (5: Input/output error)
E: Problem opening /var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_trusty-updates_main_binary-i386_Packages
E: The package lists or status file could not be parsed or opened.

I have a Public Key, but it is for email use. When I got it I thought it was also for this sort of thing, but apparently I am wrong. So how do I get a Public Key for my updating process?

Re: Could not refresh lis of updates

Posted: Sat Apr 21, 2018 4:15 pm
by catweazel
chazb wrote:
Sat Apr 21, 2018 3:57 pm
So how do I get a Public Key for my updating process?
You don't. The mirror you are using has borked itself. However you have two problems. Start Software Sources and select "Additional repositories", then remove duplicate repos. Next, select a different mirror in "Official repositories" then update the cache.

Re: Could not refresh lis of updates

Posted: Sat Apr 21, 2018 6:34 pm
by jimallyn
Problem number 3: remove all xenial repositories. For Mint 17.x, you want Trusty repositories.

Re: Could not refresh lis of updates

Posted: Sat Apr 21, 2018 7:17 pm
by catweazel
jimallyn wrote:
Sat Apr 21, 2018 6:34 pm
Problem number 3: remove all xenial repositories. For Mint 17.x, you want Trusty repositories.
Crikey! I missed that, Jim. Thank you.

Re: Could not refresh lis of updates

Posted: Sat Apr 21, 2018 8:21 pm
by AZgl1500
Okay,

following along, and this menu comes up.

Which items are safe to click on?


Image

Re: Could not refresh lis of updates

Posted: Sat Apr 21, 2018 8:45 pm
by catweazel
AZgl1500 wrote:
Sat Apr 21, 2018 8:21 pm
Okay,

following along, and this menu comes up.

Which items are safe to click on?
I know you're trying to learn, but it's poor form to hijack someone else's thread. It's also mentioned in the forum rules.

Re: Could not refresh lis of updates

Posted: Sat Apr 21, 2018 11:34 pm
by chazb
catweazel wrote:
Sat Apr 21, 2018 4:15 pm
chazb wrote:
Sat Apr 21, 2018 3:57 pm
So how do I get a Public Key for my updating process?
You don't. The mirror you are using has borked itself. However you have two problems. Start Software Sources and select "Additional repositories", then remove duplicate repos. Next, select a different mirror in "Official repositories" then update the cache.
So Okay did as you suggested, and it appears to have fixed the problem. Just curious, what is the problem with ths Xnial Repository?

Re: Could not refresh lis of updates

Posted: Sat Apr 21, 2018 11:37 pm
by catweazel
chazb wrote:
Sat Apr 21, 2018 11:34 pm
Just curious, what is the problem with ths Xnial Repository?
Mint 18 is based on Ubuntu 16.04, Xenial Xerus. The repo you had is for Xenial. It doesn't support Mint 17, which is based on Ubuntu 14.04, Trusty Tahr.

Re: Could not refresh lis of updates

Posted: Sun Apr 22, 2018 5:24 am
by Cosmo.
catweazel wrote:
Sat Apr 21, 2018 8:45 pm
I know you're trying to learn, but it's poor form to hijack someone else's thread. It's also mentioned in the forum rules.
I fully agree. But one things can be said already here: If the button to refresh the cache gets displayed, you have to click it.

Re: Could not refresh lis of updates

Posted: Sun Apr 22, 2018 4:58 pm
by chazb
catweazel wrote:
Sat Apr 21, 2018 11:37 pm
chazb wrote:
Sat Apr 21, 2018 11:34 pm
Just curious, what is the problem with ths Xnial Repository?
Mint 18 is based on Ubuntu 16.04, Xenial Xerus. The repo you had is for Xenial. It doesn't support Mint 17, which is based on Ubuntu 14.04, Trusty Tahr.
One last question,,,,,Is there a publication that makes these issues known? Or is it information gathered through the forum on a hodgepodge bases?

Re: Could not refresh lis of updates [SOLVED]

Posted: Sun Apr 22, 2018 5:09 pm
by Cosmo.
In the release notes for every Mint version (here for Qiana) the Ubuntu base is named (see at the bottom of the page). You can also look it up in the software sources, where the codename for the Ubuntu version (trusty in this case) is named.